# *** ---------------------------------------------- ***
# ***                                                ***
# {{ ansible_managed }}
# ***                                                ***
# *** ---------------------------------------------- ***

[Resolve]
{% if (fact_resolved_nameserver is defined) and fact_resolved_nameserver %}
DNS={{ fact_resolved_nameserver}}
{% else %}
#DNS=
{% endif -%}

{% if (fact_resolved_fallback_nameserver is defined) and fact_resolved_fallback_nameserver %}
FallbackDNS={{ fact_resolved_fallback_nameserver }}
{% else %}
#FallbackDNS=
{% endif -%}

{% if (fact_resolved_domains is defined) and fact_resolved_domains %}
Domains={{ fact_resolved_domains }}
{% else %}
#Domains=
{% endif -%}

{% if (resolved_dnssec is defined) and resolved_dnssec %}
DNSSEC={{ resolved_dnssec }}
{% else %}
#DNSSEC=allow-downgrade
{% endif %}
